%define module  lockfile

Name:           python-%{module}
Version:        0.12.2
Release:        %mkrel 1
Summary:        Platform-independent file locking module
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/lockfile
Source0:        https://pypi.python.org/packages/source/l/lockfile/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
The lockfile module exports a FileLock class which provides a simple API for
locking files. The lock mechanism relies on the atomic nature of the link
(on Unix) and mkdir (on Windows) system calls.

%package -n     python3-%{module}
Summary:        Platform-independent file locking module
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
The lockfile module exports a FileLock class which provides a simple API for
locking files. The lock mechanism relies on the atomic nature of the link
(on Unix) and mkdir (on Windows) system calls.
This is the Python 3 build of %{module}.


%files
%doc doc/* AUTHORS ChangeLog README.rst RELEASE-NOTES ACKS
%{python2_sitelib}/*

%files -n python3-%{module}
%doc doc/* AUTHORS ChangeLog README.rst RELEASE-NOTES ACKS
%{python3_sitelib}/*


#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install
 


%changelog
* Thu Dec 17 2015 daviddavid <daviddavid> 0.12.2-1.mga6
+ Revision: 911255
- new version: 0.12.2
- update doc file list

* Fri Oct 09 2015 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 888017
- new version: 0.10.2
- update URL and Source URL
- update file list

* Fri Oct 09 2015 daviddavid <daviddavid> 0.9.1-10.mga6
+ Revision: 887999
- rebuild for python 3.5
- make it noarch thus fixing empty debuginfo
- use new python macros

* Mon Jan 05 2015 joequant <joequant> 0.9.1-9.mga5
+ Revision: 808668
- add python3 package

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-8.mga5
+ Revision: 749570
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-7.mga5
+ Revision: 728953
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-6.mga5
+ Revision: 688125
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-4.mga4
+ Revision: 543734
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.1-3.mga4
+ Revision: 498852
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 379048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.9.1-1.mga3
+ Revision: 314175
- imported package python-lockfile


* Wed May 11 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 673562
- new version
- add ":" in build for fix rpmlint warning

* Thu Mar 18 2010 Caio Begotti <caio1982@mandriva.org> 0.8-1mdv2011.0
+ Revision: 525009
- import python-lockfile

